import { LazyIterable } from './shared-types';
export declare function concat<T>(...data: LazyIterable<T>[]): {
    [Symbol.asyncIterator](): AsyncGenerator<Awaited<T>, void, undefined>;
} | {
    [Symbol.iterator](): Generator<T, void, undefined>;
};
