import { LazyIterable } from './shared-types';
declare type Fn<T, R> = (datum: T, index: number) => R;
export declare function flatMap<T, R>(fn: Fn<T, R>): (data: LazyIterable<T>) => {
    [Symbol.asyncIterator](): AsyncGenerator<any, void, any>;
} | {
    [Symbol.iterator](): Generator<unknown, void, undefined>;
} | undefined;
export {};
