export function windows(size) {
    return function* windowsFn(data) {
        let result = [];
        for (let item of data) {
            result.push(item);
            if (result.length === size) {
                yield result.slice(-size);
                result.shift();
            }
        }
        result.splice(0);
    };
}
